### Method

# Ide ProjectTreeAddin load

#### Declaration

    void
    ide_project_tree_addin_load (
      IdeProjectTreeAddin* self,
      DzlTree* tree
    )

#### Description

This function will call the IdeProjectTreeAddin::load vfunc of `self`.

This is used to initialize the project tree so that plugins can extend the contents of the tree.

Plugins should add a `DzlTreeBuilder` to the tree when loading, and remove them when unloading.

See also: `ide_project_tree_addin_unload()`

Available since: | 3.32

#### Parameters

`tree` | `DzlTree`
| A `DzlTree`.
| The data is owned by the caller of the function.